Subject: Re: Adding nested repository with slash adds files instead of gitlink

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 Aug 2024 09:35:55 -0700

Phil Sainty <[email-masked]> writes:

>> On Wed, Jun 20, 2018 at 1:55 PM Rafael Ascensão <[email-masked]> wrote:
>> > On Wed, Jun 20, 2018 at 5:39 AM Kevin Daudt <[email-masked]> wrote:
>> > > What this is about that when doing `git add path/` (with trailing /),
>> >
>> > This is what I was referring to. If you search for 'Fake Submodules',
>> > you'll see that some people were/are intentionally using this instead of
>> > subtrees or submodules. Unfortunately the original article [1] seems to
>> > be dead, but searching url in the mailing list archives leads to some
>> > additional discussion on the subject [2,3].
>>
>> Abusing a long standing bug does not make it a feature. I'm not
>> opposed to having a new option to keep that behavior, but it should
>> not be the default. If you use it that way, you're on your own.
>
> Was such an option ever worked on?

No.  

I do not recall hearing anybody who have been active in the
development community saying anything good about such an option.
For the past 6 or so years, nobody who actively works on git thought
it was an interesting and/or useful thing to work on.

I cannot quite say that they thought that it is actively a bad idea
to offer such an option, though.